<?php
$string = 'Texto tipeado por el usuario';
$font = 2; // Fuente definida por PHP. Lee la documentación para más información: http://www.php.net/manual/es/image.examples.php
$w = ( imagefontwidth( $font ) * strlen( $string ) ) + 10; // Ancho de la imagen. En este caso tendrá un margen de 5px por lado.
$h = imagefontheight( $font ) + 10; // Altura de la imagen. Mismo margen (padding, en CSS).
$im = imagecreatetruecolor( $w, $h ); // Crea una estructura de datos.
$text_color = imagecolorallocate( $im, 255, 255, 255 ); // Color del texto en la imagen.
imagestring( $im, $font, 5, 5, $string, $text_color ); // Esta es la línea que dibuja el texto en la imagen. Lo anterior era un "esqueleto".
imagepng( $im, '../img/loader22.gif' ); // Crea la imagen y la guarda donde le digas (en este caso test/imagen.png). La carpeta debe tener permisos 777.
imagedestroy( $im ); // Destruye la estructura de datos
echo '<img src="../img/loader22.gif" />'; // Muestras la imagen.
?>